Table scroll — horizontal and vertical

Bootstrap table scroll

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

For the tables with at huge amount of data you can use scroll functionality, as an alternative for pagination.

Scrolling functionality works vertically (y-axis) and horizontally (x-axis).

Depending on the type of table you use (DataTables or a simple static table) there are two different solutions.

To start working with our tables see the "Getting Started" tab on this page.

Note: This integration is available from version 4.5.7 (released 16.07.2018).


Static table vertical scroll

More scroll options for static tables can be found in the Table Responsive documentation.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
4 Mark Otto @mdo
5 Jacob Thornton @fat
6 Larry the Bird @twitter
        
            

        <div class="table-wrapper-scroll-y my-custom-scrollbar">

          <table class="table table-bordered table-striped mb-0">
            <thead>
              <tr>
                <th scope="col">#</th>
                <th scope="col">First</th>
                <th scope="col">Last</th>
                <th scope="col">Handle</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <th scope="row">1</th>
                <td>Mark</td>
                <td>Otto</td>
                <td>@mdo</td>
              </tr>
              <tr>
                <th scope="row">2</th>
                <td>Jacob</td>
                <td>Thornton</td>
                <td>@fat</td>
              </tr>
              <tr>
                <th scope="row">3</th>
                <td>Larry</td>
                <td>the Bird</td>
                <td>@twitter</td>
              </tr>
              <tr>
                <th scope="row">4</th>
                <td>Mark</td>
                <td>Otto</td>
                <td>@mdo</td>
              </tr>
              <tr>
                <th scope="row">5</th>
                <td>Jacob</td>
                <td>Thornton</td>
                <td>@fat</td>
              </tr>
              <tr>
                <th scope="row">6</th>
                <td>Larry</td>
                <td>the Bird</td>
                <td>@twitter</td>
              </tr>
            </tbody>
          </table>

        </div>

      
        
    
        
            

        .my-custom-scrollbar {
        position: relative;
        height: 200px;
        overflow: auto;
        }
        .table-wrapper-scroll-y {
        display: block;
        }

      
        
    

Datatable vertical scroll

Name Position Office Age Start date Salary
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060
Airi Satou Accountant Tokyo 33 2008/11/28 $162,700
Brielle Williamson Integration Specialist New York 61 2012/12/02 $372,000
Herrod Chandler Sales Assistant San Francisco 59 2012/08/06 $137,500
Rhona Davidson Integration Specialist Tokyo 55 2010/10/14 $327,900
Colleen Hurst Javascript Developer San Francisco 39 2009/09/15 $205,500
Name Position Office Age Start date Salary

To enable y-scrolling simply set the scrollY parameter to be whatever you want the container wrapper's height to be (any CSS measurement is acceptable, or just a number which is treated as pixels).

Note also that the scrollCollapse option is enabled in this example. This will have the container match the height of the rows shown in the table if that height is smaller than that given height by the scrollY.

        
            

        <table id="dtVerticalScrollExample" class="table table-striped table-bordered table-sm" cellspacing="0"
          width="100%">
          <thead>
            <tr>
              <th class="th-sm">Name
              </th>
              <th class="th-sm">Position
              </th>
              <th class="th-sm">Office
              </th>
              <th class="th-sm">Age
              </th>
              <th class="th-sm">Start date
              </th>
              <th class="th-sm">Salary
              </th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>Tiger Nixon</td>
              <td>System Architect</td>
              <td>Edinburgh</td>
              <td>61</td>
              <td>2011/04/25</td>
              <td>$320,800</td>
            </tr>
            <tr>
              <td>Garrett Winters</td>
              <td>Accountant</td>
              <td>Tokyo</td>
              <td>63</td>
              <td>2011/07/25</td>
              <td>$170,750</td>
            </tr>
            <tr>
              <td>Ashton Cox</td>
              <td>Junior Technical Author</td>
              <td>San Francisco</td>
              <td>66</td>
              <td>2009/01/12</td>
              <td>$86,000</td>
            </tr>
            <tr>
              <td>Cedric Kelly</td>
              <td>Senior Javascript Developer</td>
              <td>Edinburgh</td>
              <td>22</td>
              <td>2012/03/29</td>
              <td>$433,060</td>
            </tr>
            <tr>
              <td>Airi Satou</td>
              <td>Accountant</td>
              <td>Tokyo</td>
              <td>33</td>
              <td>2008/11/28</td>
              <td>$162,700</td>
            </tr>
            <tr>
              <td>Brielle Williamson</td>
              <td>Integration Specialist</td>
              <td>New York</td>
              <td>61</td>
              <td>2012/12/02</td>
              <td>$372,000</td>
            </tr>
            <tr>
              <td>Herrod Chandler</td>
              <td>Sales Assistant</td>
              <td>San Francisco</td>
              <td>59</td>
              <td>2012/08/06</td>
              <td>$137,500</td>
            </tr>
            <tr>
              <td>Rhona Davidson</td>
              <td>Integration Specialist</td>
              <td>Tokyo</td>
              <td>55</td>
              <td>2010/10/14</td>
              <td>$327,900</td>
            </tr>
            <tr>
              <td>Colleen Hurst</td>
              <td>Javascript Developer</td>
              <td>San Francisco</td>
              <td>39</td>
              <td>2009/09/15</td>
              <td>$205,500</td>
            </tr>
            <tr>
              <td>Sonya Frost</td>
              <td>Software Engineer</td>
              <td>Edinburgh</td>
              <td>23</td>
              <td>2008/12/13</td>
              <td>$103,600</td>
            </tr>
            <tr>
              <td>Jena Gaines</td>
              <td>Office Manager</td>
              <td>London</td>
              <td>30</td>
              <td>2008/12/19</td>
              <td>$90,560</td>
            </tr>
            <tr>
              <td>Quinn Flynn</td>
              <td>Support Lead</td>
              <td>Edinburgh</td>
              <td>22</td>
              <td>2013/03/03</td>
              <td>$342,000</td>
            </tr>
            <tr>
              <td>Charde Marshall</td>
              <td>Regional Director</td>
              <td>San Francisco</td>
              <td>36</td>
              <td>2008/10/16</td>
              <td>$470,600</td>
            </tr>
            <tr>
              <td>Haley Kennedy</td>
              <td>Senior Marketing Designer</td>
              <td>London</td>
              <td>43</td>
              <td>2012/12/18</td>
              <td>$313,500</td>
            </tr>
            <tr>
              <td>Tatyana Fitzpatrick</td>
              <td>Regional Director</td>
              <td>London</td>
              <td>19</td>
              <td>2010/03/17</td>
              <td>$385,750</td>
            </tr>
            <tr>
              <td>Michael Silva</td>
              <td>Marketing Designer</td>
              <td>London</td>
              <td>66</td>
              <td>2012/11/27</td>
              <td>$198,500</td>
            </tr>
            <tr>
              <td>Paul Byrd</td>
              <td>Chief Financial Officer (CFO)</td>
              <td>New York</td>
              <td>64</td>
              <td>2010/06/09</td>
              <td>$725,000</td>
            </tr>
            <tr>
              <td>Gloria Little</td>
              <td>Systems Administrator</td>
              <td>New York</td>
              <td>59</td>
              <td>2009/04/10</td>
              <td>$237,500</td>
            </tr>
            <tr>
              <td>Bradley Greer</td>
              <td>Software Engineer</td>
              <td>London</td>
              <td>41</td>
              <td>2012/10/13</td>
              <td>$132,000</td>
            </tr>
            <tr>
              <td>Dai Rios</td>
              <td>Personnel Lead</td>
              <td>Edinburgh</td>
              <td>35</td>
              <td>2012/09/26</td>
              <td>$217,500</td>
            </tr>
            <tr>
              <td>Jenette Caldwell</td>
              <td>Development Lead</td>
              <td>New York</td>
              <td>30</td>
              <td>2011/09/03</td>
              <td>$345,000</td>
            </tr>
            <tr>
              <td>Yuri Berry</td>
              <td>Chief Marketing Officer (CMO)</td>
              <td>New York</td>
              <td>40</td>
              <td>2009/06/25</td>
              <td>$675,000</td>
            </tr>
            <tr>
              <td>Caesar Vance</td>
              <td>Pre-Sales Support</td>
              <td>New York</td>
              <td>21</td>
              <td>2011/12/12</td>
              <td>$106,450</td>
            </tr>
            <tr>
              <td>Doris Wilder</td>
              <td>Sales Assistant</td>
              <td>Sidney</td>
              <td>23</td>
              <td>2010/09/20</td>
              <td>$85,600</td>
            </tr>
            <tr>
              <td>Angelica Ramos</td>
              <td>Chief Executive Officer (CEO)</td>
              <td>London</td>
              <td>47</td>
              <td>2009/10/09</td>
              <td>$1,200,000</td>
            </tr>
            <tr>
              <td>Gavin Joyce</td>
              <td>Developer</td>
              <td>Edinburgh</td>
              <td>42</td>
              <td>2010/12/22</td>
              <td>$92,575</td>
            </tr>
            <tr>
              <td>Jennifer Chang</td>
              <td>Regional Director</td>
              <td>Singapore</td>
              <td>28</td>
              <td>2010/11/14</td>
              <td>$357,650</td>
            </tr>
            <tr>
              <td>Brenden Wagner</td>
              <td>Software Engineer</td>
              <td>San Francisco</td>
              <td>28</td>
              <td>2011/06/07</td>
              <td>$206,850</td>
            </tr>
            <tr>
              <td>Fiona Green</td>
              <td>Chief Operating Officer (COO)</td>
              <td>San Francisco</td>
              <td>48</td>
              <td>2010/03/11</td>
              <td>$850,000</td>
            </tr>
            <tr>
              <td>Shou Itou</td>
              <td>Regional Marketing</td>
              <td>Tokyo</td>
              <td>20</td>
              <td>2011/08/14</td>
              <td>$163,000</td>
            </tr>
            <tr>
              <td>Michelle House</td>
              <td>Integration Specialist</td>
              <td>Sidney</td>
              <td>37</td>
              <td>2011/06/02</td>
              <td>$95,400</td>
            </tr>
            <tr>
              <td>Suki Burks</td>
              <td>Developer</td>
              <td>London</td>
              <td>53</td>
              <td>2009/10/22</td>
              <td>$114,500</td>
            </tr>
            <tr>
              <td>Prescott Bartlett</td>
              <td>Technical Author</td>
              <td>London</td>
              <td>27</td>
              <td>2011/05/07</td>
              <td>$145,000</td>
            </tr>
            <tr>
              <td>Gavin Cortez</td>
              <td>Team Leader</td>
              <td>San Francisco</td>
              <td>22</td>
              <td>2008/10/26</td>
              <td>$235,500</td>
            </tr>
            <tr>
              <td>Martena Mccray</td>
              <td>Post-Sales support</td>
              <td>Edinburgh</td>
              <td>46</td>
              <td>2011/03/09</td>
              <td>$324,050</td>
            </tr>
            <tr>
              <td>Unity Butler</td>
              <td>Marketing Designer</td>
              <td>San Francisco</td>
              <td>47</td>
              <td>2009/12/09</td>
              <td>$85,675</td>
            </tr>
            <tr>
              <td>Howard Hatfield</td>
              <td>Office Manager</td>
              <td>San Francisco</td>
              <td>51</td>
              <td>2008/12/16</td>
              <td>$164,500</td>
            </tr>
            <tr>
              <td>Hope Fuentes</td>
              <td>Secretary</td>
              <td>San Francisco</td>
              <td>41</td>
              <td>2010/02/12</td>
              <td>$109,850</td>
            </tr>
            <tr>
              <td>Vivian Harrell</td>
              <td>Financial Controller</td>
              <td>San Francisco</td>
              <td>62</td>
              <td>2009/02/14</td>
              <td>$452,500</td>
            </tr>
            <tr>
              <td>Timothy Mooney</td>
              <td>Office Manager</td>
              <td>London</td>
              <td>37</td>
              <td>2008/12/11</td>
              <td>$136,200</td>
            </tr>
            <tr>
              <td>Jackson Bradshaw</td>
              <td>Director</td>
              <td>New York</td>
              <td>65</td>
              <td>2008/09/26</td>
              <td>$645,750</td>
            </tr>
            <tr>
              <td>Olivia Liang</td>
              <td>Support Engineer</td>
              <td>Singapore</td>
              <td>64</td>
              <td>2011/02/03</td>
              <td>$234,500</td>
            </tr>
            <tr>
              <td>Bruno Nash</td>
              <td>Software Engineer</td>
              <td>London</td>
              <td>38</td>
              <td>2011/05/03</td>
              <td>$163,500</td>
            </tr>
            <tr>
              <td>Sakura Yamamoto</td>
              <td>Support Engineer</td>
              <td>Tokyo</td>
              <td>37</td>
              <td>2009/08/19</td>
              <td>$139,575</td>
            </tr>
            <tr>
              <td>Thor Walton</td>
              <td>Developer</td>
              <td>New York</td>
              <td>61</td>
              <td>2013/08/11</td>
              <td>$98,540</td>
            </tr>
            <tr>
              <td>Finn Camacho</td>
              <td>Support Engineer</td>
              <td>San Francisco</td>
              <td>47</td>
              <td>2009/07/07</td>
              <td>$87,500</td>
            </tr>
            <tr>
              <td>Serge Baldwin</td>
              <td>Data Coordinator</td>
              <td>Singapore</td>
              <td>64</td>
              <td>2012/04/09</td>
              <td>$138,575</td>
            </tr>
            <tr>
              <td>Zenaida Frank</td>
              <td>Software Engineer</td>
              <td>New York</td>
              <td>63</td>
              <td>2010/01/04</td>
              <td>$125,250</td>
            </tr>
            <tr>
              <td>Zorita Serrano</td>
              <td>Software Engineer</td>
              <td>San Francisco</td>
              <td>56</td>
              <td>2012/06/01</td>
              <td>$115,000</td>
            </tr>
            <tr>
              <td>Jennifer Acosta</td>
              <td>Junior Javascript Developer</td>
              <td>Edinburgh</td>
              <td>43</td>
              <td>2013/02/01</td>
              <td>$75,650</td>
            </tr>
            <tr>
              <td>Cara Stevens</td>
              <td>Sales Assistant</td>
              <td>New York</td>
              <td>46</td>
              <td>2011/12/06</td>
              <td>$145,600</td>
            </tr>
            <tr>
              <td>Hermione Butler</td>
              <td>Regional Director</td>
              <td>London</td>
              <td>47</td>
              <td>2011/03/21</td>
              <td>$356,250</td>
            </tr>
            <tr>
              <td>Lael Greer</td>
              <td>Systems Administrator</td>
              <td>London</td>
              <td>21</td>
              <td>2009/02/27</td>
              <td>$103,500</td>
            </tr>
            <tr>
              <td>Jonas Alexander</td>
              <td>Developer</td>
              <td>San Francisco</td>
              <td>30</td>
              <td>2010/07/14</td>
              <td>$86,500</td>
            </tr>
            <tr>
              <td>Shad Decker</td>
              <td>Regional Director</td>
              <td>Edinburgh</td>
              <td>51</td>
              <td>2008/11/13</td>
              <td>$183,000</td>
            </tr>
            <tr>
              <td>Michael Bruce</td>
              <td>Javascript Developer</td>
              <td>Singapore</td>
              <td>29</td>
              <td>2011/06/27</td>
              <td>$183,000</td>
            </tr>
            <tr>
              <td>Donna Snider</td>
              <td>Customer Support</td>
              <td>New York</td>
              <td>27</td>
              <td>2011/01/25</td>
              <td>$112,000</td>
            </tr>
          </tbody>
          <tfoot>
            <tr>
              <th>Name
              </th>
              <th>Position
              </th>
              <th>Office
              </th>
              <th>Age
              </th>
              <th>Start date
              </th>
              <th>Salary
              </th>
            </tr>
          </tfoot>
        </table>

      
        
    
        
            
        table.dataTable thead .sorting:after,
        table.dataTable thead .sorting:before,
        table.dataTable thead .sorting_asc:after,
        table.dataTable thead .sorting_asc:before,
        table.dataTable thead .sorting_asc_disabled:after,
        table.dataTable thead .sorting_asc_disabled:before,
        table.dataTable thead .sorting_desc:after,
        table.dataTable thead .sorting_desc:before,
        table.dataTable thead .sorting_desc_disabled:after,
        table.dataTable thead .sorting_desc_disabled:before {
        bottom: .5em;
        }
      
        
    
        
            

        $(document).ready(function () {
          $('#dtVerticalScrollExample').DataTable({
            "scrollY": "200px",
            "scrollCollapse": true,
          });
          $('.dataTables_length').addClass('bs-select');
        });

      
        
    

Datatable vertical dynamic height

This example shows a vertically scrolling DataTable that makes use of the CSS3 vh unit in order to dynamically resize the viewport based on the browser window height. The vh unit is effectively a percentage of the browser window height. So the 20vh used in this example is 20% of the window height. The viewport size will update dynamically as the window is resized.

Name Position Office Age Start date Salary
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060
Airi Satou Accountant Tokyo 33 2008/11/28 $162,700
Brielle Williamson Integration Specialist New York 61 2012/12/02 $372,000
Herrod Chandler Sales Assistant San Francisco 59 2012/08/06 $137,500
Rhona Davidson Integration Specialist Tokyo 55 2010/10/14 $327,900
Name Position Office Age Start date Salary
        
            

        <table id="dtDynamicVerticalScrollExample" class="table table-striped table-bordered table-sm" cellspacing="0"
          width="100%">
          <thead>
            <tr>
              <th class="th-sm">Name
              </th>
              <th class="th-sm">Position
              </th>
              <th class="th-sm">Office
              </th>
              <th class="th-sm">Age
              </th>
              <th class="th-sm">Start date
              </th>
              <th class="th-sm">Salary
              </th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>Tiger Nixon</td>
              <td>System Architect</td>
              <td>Edinburgh</td>
              <td>61</td>
              <td>2011/04/25</td>
              <td>$320,800</td>
            </tr>
            <tr>
              <td>Garrett Winters</td>
              <td>Accountant</td>
              <td>Tokyo</td>
              <td>63</td>
              <td>2011/07/25</td>
              <td>$170,750</td>
            </tr>
            <tr>
              <td>Ashton Cox</td>
              <td>Junior Technical Author</td>
              <td>San Francisco</td>
              <td>66</td>
              <td>2009/01/12</td>
              <td>$86,000</td>
            </tr>
            <tr>
              <td>Cedric Kelly</td>
              <td>Senior Javascript Developer</td>
              <td>Edinburgh</td>
              <td>22</td>
              <td>2012/03/29</td>
              <td>$433,060</td>
            </tr>
            <tr>
              <td>Airi Satou</td>
              <td>Accountant</td>
              <td>Tokyo</td>
              <td>33</td>
              <td>2008/11/28</td>
              <td>$162,700</td>
            </tr>
            <tr>
              <td>Brielle Williamson</td>
              <td>Integration Specialist</td>
              <td>New York</td>
              <td>61</td>
              <td>2012/12/02</td>
              <td>$372,000</td>
            </tr>
            <tr>
              <td>Herrod Chandler</td>
              <td>Sales Assistant</td>
              <td>San Francisco</td>
              <td>59</td>
              <td>2012/08/06</td>
              <td>$137,500</td>
            </tr>
            <tr>
              <td>Rhona Davidson</td>
              <td>Integration Specialist</td>
              <td>Tokyo</td>
              <td>55</td>
              <td>2010/10/14</td>
              <td>$327,900</td>
            </tr>
          </tbody>
          <tfoot>
            <tr>
              <th>Name
              </th>
              <th>Position
              </th>
              <th>Office
              </th>
              <th>Age
              </th>
              <th>Start date
              </th>
              <th>Salary
              </th>
            </tr>
          </tfoot>
        </table>
      
        
    
        
            

        $(document).ready(function () {
          $('#dtDynamicVerticalScrollExample').DataTable({
            "scrollY": "50vh",
            "scrollCollapse": true,
          });
          $('.dataTables_length').addClass('bs-select');
        });

      
        
    
        
            
        table.dataTable thead .sorting:after,
        table.dataTable thead .sorting:before,
        table.dataTable thead .sorting_asc:after,
        table.dataTable thead .sorting_asc:before,
        table.dataTable thead .sorting_asc_disabled:after,
        table.dataTable thead .sorting_asc_disabled:before,
        table.dataTable thead .sorting_desc:after,
        table.dataTable thead .sorting_desc:before,
        table.dataTable thead .sorting_desc_disabled:after,
        table.dataTable thead .sorting_desc_disabled:before {
        bottom: .5em;
        }
      
        
    

Datatable horizontal scroll

First name Last name Position Office Age Start date Salary Extn. E-mail
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800 5421 t.nixon@datatables.net
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750 8422 g.winters@datatables.net
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000 1562 a.cox@datatables.net
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060 6224 c.kelly@datatables.net

DataTables has the ability to show tables with horizontal scrolling, which is very useful for when you have a wide table, but want to constrain it to a limited horizontal display area. To enable x-scrolling simply set the scrollX parameter to be whatever you want the container wrapper's width to be (this should be 100% in almost all cases with the width being constrained by the container element).

        
            

        <table id="dtHorizontalExample" class="table table-striped table-bordered table-sm" cellspacing="0"
          width="100%">
          <thead>
            <tr>
              <th>First name</th>
              <th>Last name</th>
              <th>Position</th>
              <th>Office</th>
              <th>Age</th>
              <th>Start date</th>
              <th>Salary</th>
              <th>Extn.</th>
              <th>E-mail</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>Tiger</td>
              <td>Nixon</td>
              <td>System Architect</td>
              <td>Edinburgh</td>
              <td>61</td>
              <td>2011/04/25</td>
              <td>$320,800</td>
              <td>5421</td>
              <td>t.nixon@datatables.net</td>
            </tr>
            <tr>
              <td>Garrett</td>
              <td>Winters</td>
              <td>Accountant</td>
              <td>Tokyo</td>
              <td>63</td>
              <td>2011/07/25</td>
              <td>$170,750</td>
              <td>8422</td>
              <td>g.winters@datatables.net</td>
            </tr>
            <tr>
              <td>Ashton</td>
              <td>Cox</td>
              <td>Junior Technical Author</td>
              <td>San Francisco</td>
              <td>66</td>
              <td>2009/01/12</td>
              <td>$86,000</td>
              <td>1562</td>
              <td>a.cox@datatables.net</td>
            </tr>
            <tr>
              <td>Cedric</td>
              <td>Kelly</td>
              <td>Senior Javascript Developer</td>
              <td>Edinburgh</td>
              <td>22</td>
              <td>2012/03/29</td>
              <td>$433,060</td>
              <td>6224</td>
              <td>c.kelly@datatables.net</td>
            </tr>
          </tbody>
        </table>

      
        
    
        
            

        $(document).ready(function () {
          $('#dtHorizontalExample').DataTable({
            "scrollX": true
          });
          $('.dataTables_length').addClass('bs-select');
        });

      
        
    
        
            

        .dtHorizontalExampleWrapper {
          max-width: 600px;
          margin: 0 auto;
        }
        #dtHorizontalExample th, td {
          white-space: nowrap;
        }

        table.dataTable thead .sorting:after,
        table.dataTable thead .sorting:before,
        table.dataTable thead .sorting_asc:after,
        table.dataTable thead .sorting_asc:before,
        table.dataTable thead .sorting_asc_disabled:after,
        table.dataTable thead .sorting_asc_disabled:before,
        table.dataTable thead .sorting_desc:after,
        table.dataTable thead .sorting_desc:before,
        table.dataTable thead .sorting_desc_disabled:after,
        table.dataTable thead .sorting_desc_disabled:before {
         bottom: .5em;
        }

      
        
    

Datatable horizontal and vertical scroll

First name Last name Position Office Age Start date Salary Extn. E-mail
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800 5421 t.nixon@datatables.net
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750 8422 g.winters@datatables.net
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000 1562 a.cox@datatables.net
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060 6224 c.kelly@datatables.net
Airi Satou Accountant Tokyo 33 2008/11/28 $162,700 5407 a.satou@datatables.net
Brielle Williamson Integration Specialist New York 61 2012/12/02 $372,000 4804 b.williamson@datatables.net

In this example you can see DataTables performing both horizontal and vertical scrolling at the same time. Note also that pagination is enabled in this example, and the scrolling accounts for this.

        
            

        <table id="dtHorizontalVerticalExample" class="table table-striped table-bordered table-sm " cellspacing="0"
          width="100%">
          <thead>
            <tr>
              <th>First name</th>
              <th>Last name</th>
              <th>Position</th>
              <th>Office</th>
              <th>Age</th>
              <th>Start date</th>
              <th>Salary</th>
              <th>Extn.</th>
              <th>E-mail</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>Tiger</td>
              <td>Nixon</td>
              <td>System Architect</td>
              <td>Edinburgh</td>
              <td>61</td>
              <td>2011/04/25</td>
              <td>$320,800</td>
              <td>5421</td>
              <td>t.nixon@datatables.net</td>
            </tr>
            <tr>
              <td>Garrett</td>
              <td>Winters</td>
              <td>Accountant</td>
              <td>Tokyo</td>
              <td>63</td>
              <td>2011/07/25</td>
              <td>$170,750</td>
              <td>8422</td>
              <td>g.winters@datatables.net</td>
            </tr>
            <tr>
              <td>Ashton</td>
              <td>Cox</td>
              <td>Junior Technical Author</td>
              <td>San Francisco</td>
              <td>66</td>
              <td>2009/01/12</td>
              <td>$86,000</td>
              <td>1562</td>
              <td>a.cox@datatables.net</td>
            </tr>
            <tr>
              <td>Cedric</td>
              <td>Kelly</td>
              <td>Senior Javascript Developer</td>
              <td>Edinburgh</td>
              <td>22</td>
              <td>2012/03/29</td>
              <td>$433,060</td>
              <td>6224</td>
              <td>c.kelly@datatables.net</td>
            </tr>
            <tr>
              <td>Airi</td>
              <td>Satou</td>
              <td>Accountant</td>
              <td>Tokyo</td>
              <td>33</td>
              <td>2008/11/28</td>
              <td>$162,700</td>
              <td>5407</td>
              <td>a.satou@datatables.net</td>
            </tr>
            <tr>
              <td>Brielle</td>
              <td>Williamson</td>
              <td>Integration Specialist</td>
              <td>New York</td>
              <td>61</td>
              <td>2012/12/02</td>
              <td>$372,000</td>
              <td>4804</td>
              <td>b.williamson@datatables.net</td>
            </tr>
          </tbody>
        </table>

      
        
    
        
            

        $(document).ready(function () {
          $('#dtHorizontalVerticalExample').DataTable({
            "scrollX": true,
            "scrollY": 200,
          });
          $('.dataTables_length').addClass('bs-select');
        });

      
        
    
        
            

        .dtHorizontalVerticalExampleWrapper {
          max-width: 600px;
          margin: 0 auto;
        }
        #dtHorizontalVerticalExample th, td {
          white-space: nowrap;
        }
        table.dataTable thead .sorting:after,
        table.dataTable thead .sorting:before,
        table.dataTable thead .sorting_asc:after,
        table.dataTable thead .sorting_asc:before,
        table.dataTable thead .sorting_asc_disabled:after,
        table.dataTable thead .sorting_asc_disabled:before,
        table.dataTable thead .sorting_desc:after,
        table.dataTable thead .sorting_desc:before,
        table.dataTable thead .sorting_desc_disabled:after,
        table.dataTable thead .sorting_desc_disabled:before {
          bottom: .5em;
        }

      
        
    

Advanced table options

For advanced table option, have a look at the specific documentation pages listed below.

Table sort

This functionality lets you sort the data of the tables according to any specific columns.

Table pagination

Pagination offers a simple navigation method, which lets you split a huge amount of content within the tables into smaller parts.

Table editable

Table editable allows you to edit existing data within the table and add new data to the table.

Table generator

Interactive tool for creating fully coded tables.

React Table Scroll

React Table Scroll - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

For react tables with a huge amount of data you can use scroll functionality, as an alternative for the pagination.

Scrolling functionality works vertically (y-axis) and horizontally (x-axis).


Static table vertical scroll

More scroll options for static tables you can find in thereact Table Responsive documentation.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
4 Mark Otto @mdo
5 Jacob Thornton @fat
6 Larry the Bird @twitter
        
            
          import React from 'react';
          import { MDBTable, MDBTableBody, MDBTableHead } from 'mdbreact';

          const TablePage = props => {
          const data = {
            columns: [
              {
                label: '#',
                field: 'id',
                sort: 'asc'
              },
              {
                label: 'First',
                field: 'first',
                sort: 'asc'
              },
              {
                label: 'Last',
                field: 'last',
                sort: 'asc'
              },
              {
                label: 'Handle',
                field: 'handle',
                sort: 'asc'
                }
            ],
            rows: [
              {
                'id': 1,
                'first': 'Mark',
                'last': 'Otto',
                'handle': '@mdo'
              },
              {
                'id': 2,
                'first': 'Jacob',
                'last': 'Thornton',
                'handle': '@fat'
              },
              {
                'id': 3,
                'first': 'Larry',
                'last': 'the Bird',
                'handle': '@twitter'
              },
              {
                'id': 4,
                'first': 'Mark',
                'last': 'Otto',
                'handle': '@mdo'
              },
              {
                'id': 5,
                'first': 'Jacob',
                'last': 'Thornton',
                'handle': '@fat'
              },
              {
                'id': 6,
                'first': 'Larry',
                'last': 'the Bird',
                'handle': '@twitter'
              }
            ]
          };

          return (
              <MDBTable scrollY>
                <MDBTableHead columns={data.columns} />
                <MDBTableBody rows={data.rows} />
              </MDBTable>
            );
          };

          export default TablePage;
      
        
    

Datatable vertical scroll

Name Position Office Age Start date Salary
Name
Position
Office
Age
Start date
Salary
Name
Position
Office
Age
Start date
Salary
Airi Satou Accountant Tokyo 33 2008/11/28 $162,700
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000
Brielle Williamson Integration Specialist New York 61 2012/12/02 $372,000
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060
Colleen Hurst Javascript Developer San Francisco 39 2009/09/15 $205,500
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750
Herrod Chandler Sales Assistant San Francisco 59 2012/08/06 $137,500
Rhona Davidson Integration Specialist Tokyo 55 2010/10/14 $327,900
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800
Name Position Office Age Start date Salary
Showing 1 to 9 of 9 entries

To enable y-scrolling simply set the scrollY property. Manipulate table's height by using maxHeight property.

        
            
        import React from 'react';
        import { MDBDataTable } from 'mdbreact';

        const DatatablePage = () => {
          const data = {
            columns: [
              {
                label: 'Name',
                field: 'name',
                sort: 'asc',
                width: 150
              },
              {
                label: 'Position',
                field: 'position',
                sort: 'asc',
                width: 270
              },
              {
                label: 'Office',
                field: 'office',
                sort: 'asc',
                width: 200
              },
              {
                label: 'Age',
                field: 'age',
                sort: 'asc',
                width: 100
              },
              {
                label: 'Start date',
                field: 'date',
                sort: 'asc',
                width: 150
              },
              {
                label: 'Salary',
                field: 'salary',
                sort: 'asc',
                width: 100
              }
            ],
            rows: [
              {
                name: 'Tiger Nixon',
                position: 'System Architect',
                office: 'Edinburgh',
                age: '61',
                date: '2011/04/25',
                salary: '$320'
              },
              {
                name: 'Garrett Winters',
                position: 'Accountant',
                office: 'Tokyo',
                age: '63',
                date: '2011/07/25',
                salary: '$170'
              },
              {
                name: 'Ashton Cox',
                position: 'Junior Technical Author',
                office: 'San Francisco',
                age: '66',
                date: '2009/01/12',
                salary: '$86'
              },
              {
                name: 'Cedric Kelly',
                position: 'Senior Javascript Developer',
                office: 'Edinburgh',
                age: '22',
                date: '2012/03/29',
                salary: '$433'
              },
              {
                name: 'Airi Satou',
                position: 'Accountant',
                office: 'Tokyo',
                age: '33',
                date: '2008/11/28',
                salary: '$162'
              },
              {
                name: 'Brielle Williamson',
                position: 'Integration Specialist',
                office: 'New York',
                age: '61',
                date: '2012/12/02',
                salary: '$372'
              },
              {
                name: 'Herrod Chandler',
                position: 'Sales Assistant',
                office: 'San Francisco',
                age: '59',
                date: '2012/08/06',
                salary: '$137'
              },
              {
                name: 'Rhona Davidson',
                position: 'Integration Specialist',
                office: 'Tokyo',
                age: '55',
                date: '2010/10/14',
                salary: '$327'
              },
              {
                name: 'Colleen Hurst',
                position: 'Javascript Developer',
                office: 'San Francisco',
                age: '39',
                date: '2009/09/15',
                salary: '$205'
              }
            ]
          };

          return (
            <MDBDataTable
              scrollY
              maxHeight="200px"
              striped
              bordered
              small
              data={data}
            />
          );
        }

        export default DatatablePage;
      
        
    

Datatable vertical dynamic height

This example shows a vertically scrolling DataTable that makes use of the CSS3 vh unit in order to dynamically resize the viewport based on the browser window height. The vh unit is effectively a percentage of the browser window height. So the 20vh used in this example is 20% of the window height. The viewport size will update dynamically as the window is resized.

Name Position Office Age Start date Salary
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060
Airi Satou Accountant Tokyo 33 2008/11/28 $162,700
Brielle Williamson Integration Specialist New York 61 2012/12/02 $372,000
Herrod Chandler Sales Assistant San Francisco 59 2012/08/06 $137,500
Rhona Davidson Integration Specialist Tokyo 55 2010/10/14 $327,900
Name Position Office Age Start date Salary
        
            
        import React from 'react';
        import { MDBDataTable } from 'mdbreact';

        const DatatablePage = () => {
          const data = {
            columns: [
              {
                label: 'Name',
                field: 'name',
                sort: 'asc',
                width: 150
              },
              {
                label: 'Position',
                field: 'position',
                sort: 'asc',
                width: 270
              },
              {
                label: 'Office',
                field: 'office',
                sort: 'asc',
                width: 200
              },
              {
                label: 'Age',
                field: 'age',
                sort: 'asc',
                width: 100
              },
              {
                label: 'Start date',
                field: 'date',
                sort: 'asc',
                width: 150
              },
              {
                label: 'Salary',
                field: 'salary',
                sort: 'asc',
                width: 100
              }
            ],
            rows: [
              {
                name: 'Tiger Nixon',
                position: 'System Architect',
                office: 'Edinburgh',
                age: '61',
                date: '2011/04/25',
                salary: '$320'
              },
              {
                name: 'Garrett Winters',
                position: 'Accountant',
                office: 'Tokyo',
                age: '63',
                date: '2011/07/25',
                salary: '$170'
              },
              {
                name: 'Ashton Cox',
                position: 'Junior Technical Author',
                office: 'San Francisco',
                age: '66',
                date: '2009/01/12',
                salary: '$86'
              },
              {
                name: 'Cedric Kelly',
                position: 'Senior Javascript Developer',
                office: 'Edinburgh',
                age: '22',
                date: '2012/03/29',
                salary: '$433'
              },
              {
                name: 'Airi Satou',
                position: 'Accountant',
                office: 'Tokyo',
                age: '33',
                date: '2008/11/28',
                salary: '$162'
              },
              {
                name: 'Brielle Williamson',
                position: 'Integration Specialist',
                office: 'New York',
                age: '61',
                date: '2012/12/02',
                salary: '$372'
              },
              {
                name: 'Herrod Chandler',
                position: 'Sales Assistant',
                office: 'San Francisco',
                age: '59',
                date: '2012/08/06',
                salary: '$137'
              },
              {
                name: 'Rhona Davidson',
                position: 'Integration Specialist',
                office: 'Tokyo',
                age: '55',
                date: '2010/10/14',
                salary: '$327'
              },
              {
                name: 'Colleen Hurst',
                position: 'Javascript Developer',
                office: 'San Francisco',
                age: '39',
                date: '2009/09/15',
                salary: '$205'
              }
            ]
          };

          return (
            <MDBDataTable
              scrollY
              maxHeight="20vh"
              striped
              bordered
              small
              data={data}
            />
          );
        }

        export default DatatablePage;
      
        
    

Datatable horizontal scroll

First name Last name Position Office Age Start date Salary Extn. E-mail
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800 5421 t.nixon@datatables.net
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750 8422 g.winters@datatables.net
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000 1562 a.cox@datatables.net
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060 6224 c.kelly@datatables.net

DataTables has the ability to show tables with horizontal scrolling, which is very useful for when you have a wide table, but want to constrain it to a limited horizontal display area. To enable x-scrolling simply set the prop scrollX. For best looking effect set columns width within object columns properties.

        
            
        import React from 'react';
        import { MDBDataTable } from 'mdbreact';

        const DatatablePage = () => {
          const data = {
            columns: [
              {
                label: 'Name',
                field: 'name',
                sort: 'asc',
                width: 150
              },
              {
                label: 'Surname',
                field: 'surname',
                sort: 'asc',
                width: 150
              },
              {
                label: 'Position',
                field: 'position',
                sort: 'asc',
                width: 270
              },
              {
                label: 'Office',
                field: 'office',
                sort: 'asc',
                width: 200
              },
              {
                label: 'Age',
                field: 'age',
                sort: 'asc',
                width: 100
              },
              {
                label: 'Start date',
                field: 'date',
                sort: 'asc',
                width: 150
              },
              {
                label: 'Salary',
                field: 'salary',
                sort: 'asc',
                width: 100
              },
              {
                label: 'Extn.',
                field: 'extn',
                sort: 'asc',
                width: 100
              },
              {
                label: "E-mail",
                field: 'email',
                sort: 'asc',
                width: 200
              }
            ],
            rows: [
              {
                name: 'Tiger',
                surname: 'Nixon',
                position: 'System Architect',
                office: 'Edinburgh',
                age: '61',
                date: '2011/04/25',
                salary: '$320,800',
                extn: 5421,
                email: 't.nixon@datatables.net'
              },
              {
                name: 'Garrett',
                surname: 'Winters',
                position: 'Accountant',
                office: 'Tokyo',
                age: '63',
                date: '2011/07/25',
                salary: '$170,750',
                extn: 8422,
                email: 'q.winters@datatables.net'
              },
              {
                name: 'Ashton',
                surname: 'Cox',
                position: 'Junior Technical Author',
                office: 'San Francisco',
                age: '66',
                date: '2009/01/12',
                salary: '$86,000',
                extn: 1562,
                email: 'a.cox@datatables.net'
              },
              {
                name: 'Cedric',
                surname: 'Kelly',
                position: 'Senior Javascript Developer',
                office: 'Edinburgh',
                age: '22',
                date: '2012/03/29',
                salary: '$433,060',
                extn: 6224,
                email: 'c.kelly@datatables.net'
              }
            ]
          };

          return (
            <MDBDataTable
              scrollX
              striped
              bordered
              data={data}
            />
          );
        }

        export default DatatablePage;
      
        
    

Datatable horizontal and vertical scroll

First name Last name Position Office Age Start date Salary Extn. E-mail
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800 5421 t.nixon@datatables.net
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750 8422 g.winters@datatables.net
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000 1562 a.cox@datatables.net
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060 6224 c.kelly@datatables.net
Airi Satou Accountant Tokyo 33 2008/11/28 $162,700 5407 a.satou@datatables.net
Brielle Williamson Integration Specialist New York 61 2012/12/02 $372,000 4804 b.williamson@datatables.net

In this example you can see DataTables doing both horizontal and vertical scrolling at the same time. Note also that pagination is enabled in this example, and the scrolling accounts for this.

        
            
        import React from 'react';
        import { MDBDataTable } from 'mdbreact';

        const DatatablePage = () => {
          const data = {
            columns: [
              {
                label: 'Name',
                field: 'name',
                sort: 'asc',
                width: 150
              },
              {
                label: 'Surname',
                field: 'surname',
                sort: 'asc',
                width: 150
              },
              {
                label: 'Position',
                field: 'position',
                sort: 'asc',
                width: 270
              },
              {
                label: 'Office',
                field: 'office',
                sort: 'asc',
                width: 200
              },
              {
                label: 'Age',
                field: 'age',
                sort: 'asc',
                width: 100
              },
              {
                label: 'Start date',
                field: 'date',
                sort: 'asc',
                width: 150
              },
              {
                label: 'Salary',
                field: 'salary',
                sort: 'asc',
                width: 100
              },
              {
                label: 'Extn.',
                field: 'extn',
                sort: 'asc',
                width: 100
              },
              {
                label: "E-mail",
                field: 'email',
                sort: 'asc',
                width: 200
              }
            ],
            rows: [
              {
                name: 'Tiger',
                surname: 'Nixon',
                position: 'System Architect',
                office: 'Edinburgh',
                age: '61',
                date: '2011/04/25',
                salary: '$320,800',
                extn: 5421,
                email: 't.nixon@datatables.net'
              },
              {
                name: 'Garrett',
                surname: 'Winters',
                position: 'Accountant',
                office: 'Tokyo',
                age: '63',
                date: '2011/07/25',
                salary: '$170,750',
                extn: 8422,
                email: 'q.winters@datatables.net'
              },
              {
                name: 'Ashton',
                surname: 'Cox',
                position: 'Junior Technical Author',
                office: 'San Francisco',
                age: '66',
                date: '2009/01/12',
                salary: '$86,000',
                extn: 1562,
                email: 'a.cox@datatables.net'
              },
              {
                name: 'Cedric',
                surname: 'Kelly',
                position: 'Senior Javascript Developer',
                office: 'Edinburgh',
                age: '22',
                date: '2012/03/29',
                salary: '$433,060',
                extn: 6224,
                email: 'c.kelly@datatables.net'
              },
              {
                name: 'Airi',
                surname: 'Satou',
                position: 'Accountant',
                office: 'Tokyo',
                age: '33',
                date: '2008/11/28',
                salary: '$162,700',
                extn: 5407,
                email: 'a.satou@datatables.net'
              },
              {
                name: 'Brielle',
                surname: 'Williamson',
                position: 'Integration Specialist',
                office: 'New York',
                age: '61',
                date: '2012/12/02',
                salary: '$372,000',
                extn: 4804,
                email: 'b.williamson@datatables.net'
              },
            ]
          };

          return (
            <MDBDataTable
              scrollX
              scrollY
              maxHeight="300px"
              striped
              bordered
              data={data}
            />
          );
        }

        export default DatatablePage;
      
        
    

Advanced table options

For advanced options of the tables have a look at specific documentation pages listed below.

Table sort

This functionality lets you sort the data of the tables according to any specific columns.

Table scroll

If your table is too long or too wide you can limit its size and enable scroll functionality.

Table editable

Table editable allows you to edit existing data within the table and add new data to the table.

React Datatables - API

This section present detailed information about Datatables usage, properties and customization. Dive into API references to find see all available props and methods.


Imports

To start working with Datatables you need just one component.
MDBDatatable contains huge amount of options and custom styles (corresponding to static tables). Note: Data object keys cant be null.

        
            
          import React from 'react';
          import { MDBDataTable } from 'mdbreact';
        
        
    

Usage

There are two ways to bind your data into Datatable
You can build an object of structured data, or bind the link to external API (Json from API must have the same structure as object described below).

        
            
          const DatatablePage = () => {
            const data = {
              columns: [
                {
                  label: 'Name',
                  field: 'name',
                  sort: 'asc',
                  width: 150
                },
                {
                  label: 'Position',
                  field: 'position',
                  sort: 'asc',
                  width: 270
                },
                {
                  label: 'Office',
                  field: 'office',
                  sort: 'asc',
                  width: 200
                },
                {
                  label: 'Age',
                  field: 'age',
                  sort: 'asc',
                  width: 100
                },
                {
                  label: 'Start date',
                  field: 'date',
                  sort: 'asc',
                  width: 150
                },
                {
                  label: 'Salary',
                  field: 'salary',
                  sort: 'asc',
                  width: 100
                }
              ],
              rows: [
                {
                  name: 'Tiger Nixon',
                  position: 'System Architect',
                  office: 'Edinburgh',
                  age: '61',
                  date: '2011/04/25',
                  salary: '$320'
                },
                {
                  name: 'Garrett Winters',
                  position: 'Accountant',
                  office: 'Tokyo',
                  age: '63',
                  date: '2011/07/25',
                  salary: '$170'
                },
                {
                  name: 'Ashton Cox',
                  position: 'Junior Technical Author',
                  office: 'San Francisco',
                  age: '66',
                  date: '2009/01/12',
                  salary: '$86'
                },
                {
                  name: 'Cedric Kelly',
                  position: 'Senior Javascript Developer',
                  office: 'Edinburgh',
                  age: '22',
                  date: '2012/03/29',
                  salary: '$433'
                },
                {
                  name: 'Airi Satou',
                  position: 'Accountant',
                  office: 'Tokyo',
                  age: '33',
                  date: '2008/11/28',
                  salary: '$162'
                },
                {
                  name: 'Brielle Williamson',
                  position: 'Integration Specialist',
                  office: 'New York',
                  age: '61',
                  date: '2012/12/02',
                  salary: '$372'
                },
                {
                  name: 'Herrod Chandler',
                  position: 'Sales Assistant',
                  office: 'San Francisco',
                  age: '59',
                  date: '2012/08/06',
                  salary: '$137'
                },
                {
                  name: 'Rhona Davidson',
                  position: 'Integration Specialist',
                  office: 'Tokyo',
                  age: '55',
                  date: '2010/10/14',
                  salary: '$327'
                },
                {
                  name: 'Colleen Hurst',
                  position: 'Javascript Developer',
                  office: 'San Francisco',
                  age: '39',
                  date: '2009/09/15',
                  salary: '$205'
                },
                {
                  name: 'Sonya Frost',
                  position: 'Software Engineer',
                  office: 'Edinburgh',
                  age: '23',
                  date: '2008/12/13',
                  salary: '$103'
                },
                {
                  name: 'Jena Gaines',
                  position: 'Office Manager',
                  office: 'London',
                  age: '30',
                  date: '2008/12/19',
                  salary: '$90'
                },
                {
                  name: 'Quinn Flynn',
                  position: 'Support Lead',
                  office: 'Edinburgh',
                  age: '22',
                  date: '2013/03/03',
                  salary: '$342'
                },
                {
                  name: 'Charde Marshall',
                  position: 'Regional Director',
                  office: 'San Francisco',
                  age: '36',
                  date: '2008/10/16',
                  salary: '$470'
                },
                {
                  name: 'Haley Kennedy',
                  position: 'Senior Marketing Designer',
                  office: 'London',
                  age: '43',
                  date: '2012/12/18',
                  salary: '$313'
                },
                {
                  name: 'Tatyana Fitzpatrick',
                  position: 'Regional Director',
                  office: 'London',
                  age: '19',
                  date: '2010/03/17',
                  salary: '$385'
                },
                {
                  name: 'Michael Silva',
                  position: 'Marketing Designer',
                  office: 'London',
                  age: '66',
                  date: '2012/11/27',
                  salary: '$198'
                },
                {
                  name: 'Paul Byrd',
                  position: 'Chief Financial Officer (CFO)',
                  office: 'New York',
                  age: '64',
                  date: '2010/06/09',
                  salary: '$725'
                },
                {
                  name: 'Gloria Little',
                  position: 'Systems Administrator',
                  office: 'New York',
                  age: '59',
                  date: '2009/04/10',
                  salary: '$237'
                },
                {
                  name: 'Bradley Greer',
                  position: 'Software Engineer',
                  office: 'London',
                  age: '41',
                  date: '2012/10/13',
                  salary: '$132'
                },
                {
                  name: 'Dai Rios',
                  position: 'Personnel Lead',
                  office: 'Edinburgh',
                  age: '35',
                  date: '2012/09/26',
                  salary: '$217'
                },
                {
                  name: 'Jenette Caldwell',
                  position: 'Development Lead',
                  office: 'New York',
                  age: '30',
                  date: '2011/09/03',
                  salary: '$345'
                },
                {
                  name: 'Yuri Berry',
                  position: 'Chief Marketing Officer (CMO)',
                  office: 'New York',
                  age: '40',
                  date: '2009/06/25',
                  salary: '$675'
                },
                {
                  name: 'Caesar Vance',
                  position: 'Pre-Sales Support',
                  office: 'New York',
                  age: '21',
                  date: '2011/12/12',
                  salary: '$106'
                },
                {
                  name: 'Doris Wilder',
                  position: 'Sales Assistant',
                  office: 'Sidney',
                  age: '23',
                  date: '2010/09/20',
                  salary: '$85'
                },
                {
                  name: 'Angelica Ramos',
                  position: 'Chief Executive Officer (CEO)',
                  office: 'London',
                  age: '47',
                  date: '2009/10/09',
                  salary: '$1'
                },
                {
                  name: 'Gavin Joyce',
                  position: 'Developer',
                  office: 'Edinburgh',
                  age: '42',
                  date: '2010/12/22',
                  salary: '$92'
                },
                {
                  name: 'Jennifer Chang',
                  position: 'Regional Director',
                  office: 'Singapore',
                  age: '28',
                  date: '2010/11/14',
                  salary: '$357'
                },
                {
                  name: 'Brenden Wagner',
                  position: 'Software Engineer',
                  office: 'San Francisco',
                  age: '28',
                  date: '2011/06/07',
                  salary: '$206'
                },
                {
                  name: 'Fiona Green',
                  position: 'Chief Operating Officer (COO)',
                  office: 'San Francisco',
                  age: '48',
                  date: '2010/03/11',
                  salary: '$850'
                },
                {
                  name: 'Shou Itou',
                  position: 'Regional Marketing',
                  office: 'Tokyo',
                  age: '20',
                  date: '2011/08/14',
                  salary: '$163'
                },
                {
                  name: 'Michelle House',
                  position: 'Integration Specialist',
                  office: 'Sidney',
                  age: '37',
                  date: '2011/06/02',
                  salary: '$95'
                },
                {
                  name: 'Suki Burks',
                  position: 'Developer',
                  office: 'London',
                  age: '53',
                  date: '2009/10/22',
                  salary: '$114'
                },
                {
                  name: 'Prescott Bartlett',
                  position: 'Technical Author',
                  office: 'London',
                  age: '27',
                  date: '2011/05/07',
                  salary: '$145'
                },
                {
                  name: 'Gavin Cortez',
                  position: 'Team Leader',
                  office: 'San Francisco',
                  age: '22',
                  date: '2008/10/26',
                  salary: '$235'
                },
                {
                  name: 'Martena Mccray',
                  position: 'Post-Sales support',
                  office: 'Edinburgh',
                  age: '46',
                  date: '2011/03/09',
                  salary: '$324'
                },
                {
                  name: 'Unity Butler',
                  position: 'Marketing Designer',
                  office: 'San Francisco',
                  age: '47',
                  date: '2009/12/09',
                  salary: '$85'
                },
                {
                  name: 'Howard Hatfield',
                  position: 'Office Manager',
                  office: 'San Francisco',
                  age: '51',
                  date: '2008/12/16',
                  salary: '$164'
                },
                {
                  name: 'Hope Fuentes',
                  position: 'Secretary',
                  office: 'San Francisco',
                  age: '41',
                  date: '2010/02/12',
                  salary: '$109'
                },
                {
                  name: 'Vivian Harrell',
                  position: 'Financial Controller',
                  office: 'San Francisco',
                  age: '62',
                  date: '2009/02/14',
                  salary: '$452'
                },
                {
                  name: 'Timothy Mooney',
                  position: 'Office Manager',
                  office: 'London',
                  age: '37',
                  date: '2008/12/11',
                  salary: '$136'
                },
                {
                  name: 'Jackson Bradshaw',
                  position: 'Director',
                  office: 'New York',
                  age: '65',
                  date: '2008/09/26',
                  salary: '$645'
                },
                {
                  name: 'Olivia Liang',
                  position: 'Support Engineer',
                  office: 'Singapore',
                  age: '64',
                  date: '2011/02/03',
                  salary: '$234'
                },
                {
                  name: 'Bruno Nash',
                  position: 'Software Engineer',
                  office: 'London',
                  age: '38',
                  date: '2011/05/03',
                  salary: '$163'
                },
                {
                  name: 'Sakura Yamamoto',
                  position: 'Support Engineer',
                  office: 'Tokyo',
                  age: '37',
                  date: '2009/08/19',
                  salary: '$139'
                },
                {
                  name: 'Thor Walton',
                  position: 'Developer',
                  office: 'New York',
                  age: '61',
                  date: '2013/08/11',
                  salary: '$98'
                },
                {
                  name: 'Finn Camacho',
                  position: 'Support Engineer',
                  office: 'San Francisco',
                  age: '47',
                  date: '2009/07/07',
                  salary: '$87'
                },
                {
                  name: 'Serge Baldwin',
                  position: 'Data Coordinator',
                  office: 'Singapore',
                  age: '64',
                  date: '2012/04/09',
                  salary: '$138'
                },
                {
                  name: 'Zenaida Frank',
                  position: 'Software Engineer',
                  office: 'New York',
                  age: '63',
                  date: '2010/01/04',
                  salary: '$125'
                },
                {
                  name: 'Zorita Serrano',
                  position: 'Software Engineer',
                  office: 'San Francisco',
                  age: '56',
                  date: '2012/06/01',
                  salary: '$115'
                },
                {
                  name: 'Jennifer Acosta',
                  position: 'Junior Javascript Developer',
                  office: 'Edinburgh',
                  age: '43',
                  date: '2013/02/01',
                  salary: '$75'
                },
                {
                  name: 'Cara Stevens',
                  position: 'Sales Assistant',
                  office: 'New York',
                  age: '46',
                  date: '2011/12/06',
                  salary: '$145'
                },
                {
                  name: 'Hermione Butler',
                  position: 'Regional Director',
                  office: 'London',
                  age: '47',
                  date: '2011/03/21',
                  salary: '$356'
                },
                {
                  name: 'Lael Greer',
                  position: 'Systems Administrator',
                  office: 'London',
                  age: '21',
                  date: '2009/02/27',
                  salary: '$103'
                },
                {
                  name: 'Jonas Alexander',
                  position: 'Developer',
                  office: 'San Francisco',
                  age: '30',
                  date: '2010/07/14',
                  salary: '$86'
                },
                {
                  name: 'Shad Decker',
                  position: 'Regional Director',
                  office: 'Edinburgh',
                  age: '51',
                  date: '2008/11/13',
                  salary: '$183'
                },
                {
                  name: 'Michael Bruce',
                  position: 'Javascript Developer',
                  office: 'Singapore',
                  age: '29',
                  date: '2011/06/27',
                  salary: '$183'
                },
                {
                  name: 'Donna Snider',
                  position: 'Customer Support',
                  office: 'New York',
                  age: '27',
                  date: '2011/01/25',
                  salary: '$112'
                }
              ]
            };
            
            return (
              <MDBDataTable 
                striped 
                bordered
                hover
                data={data}
              />
            );
          }
        
        
    
        
            
          const DatatablePage = () => {
            return (
              <MDBDataTable 
                data="https://YOUR_API_URL"
              />
            );
          }
        
        
    
        
            
          data = {
            columns: [
              {
                label: String (displayed column label),
                field: String (corresponding key for cells),
                width: Number (Optional minimal column width in px),
                sort: String (Optional, 'asc'/'desc'/'disabled', describes the initial sorting directory, or disables column sorting),
                attributes: {
                  "attribute": "value"
                } : Object collection (Optional, sets html attributes of the element | f.e. "aria-controls", "aria-label")

              }
            ],
            rows: [
              {
                field: String (corresponds column's field, contains cell data),
                field: String,
                field: String,
                ...
                clickEvent: yourClickHandler
              }
            ]
          }
        
        
    

API Reference

All properties and options referred to MDBDataTable component.

Name Type Default Description Example
autoWidth Boolean false Automatically adjust columns width to the content. <MDBDataTable autoWidth />
bordered Boolean false Adds border on all table's and cell's sides. <MDBDataTable bordered />
borderless Boolean false Disables border on all table's and cell's sides. <MDBDataTable borderless />
btn Boolean false Adjust table styles to work with content like buttons. <MDBDataTable btn />
dark Boolean false Sets dark color palette of the table. <MDBDataTable dark />
data Object or String Attach your data or link to the JSON with your data. <MDBDataTable data={this.state.data} />
entries Number 10 Initial entries amount value. <MDBDataTable entries={20} />
entriesLabel String Show entries Change entries label; you can attach jsx code to render f.e. links. <MDBDataTable entriesLabel="Show entries" />
entriesOptions Array[Number] [10, 20, 50, 100] Sets entries amount options available to select in dropdown. <MDBDataTable entriesOptions={[ 5, 10, 15 ]} />
exportToCSV Boolean false (ONLY FOR PRO) if you add this property the button will appear. By clicking it the .csv file with your table will be downloaded. <MDBDataTable exportToCSV />
fixed Boolean false Sets fixed columns width. <MDBDataTable fixed />
hover Boolean false Adds hover state on table rows (rows are marked on light-grey color). <MDBDataTable hover />
info Boolean true Determines whether pagination info is enabled/disabled. <MDBDataTable info={false} />
infoLabel Array[String] ["Showing", "to", "of", "entries"] Change text of paging information. <MDBDataTable infoLabel={["Showing", "to", "of", "entries"]} />
maxHeight String 200px Sets table's maxHeight. You can use px, vh or whatever fits to your needs. <MDBDataTable maxHeight="400px" />
order Array[String] Sets initial order. Accepts array of strings, index 0: table field by which you want to sort, index 1: sorting direction ('desc'/'asc'). <MDBDataTable order={['age', 'desc']} />
pagesAmount Number 8 Initial number of pages simultaneously visible in pagination. <MDBDataTable pagesAmount={10} />
paging Boolean true Determines whether pagination is enabled/disabled. <MDBDataTable paging={false} />
paginationLabel Array[String] ["Previous", "Next"] Change pagination buttons labels. <MDBDataTable paginationLabel={["Previous", "Next"]} />
responsive Boolean false Makes table scrollable horizontally when screen width is smaller than table content (under 768px).
It make use of overflow-y: hidden which clips off content that goes beyond the bottom or top edge of the table.
<MDBDataTable responsive />
responsiveSm Boolean false Makes table scrollable horizontally on under 576px wide screens. <MDBDataTable responsiveSm />
responsiveMd Boolean false Makes table scrollable horizontally on under 768px wide screens. <MDBDataTable responsiveMd />
responsiveLg Boolean false Makes table scrollable horizontally on under 992px wide screens. <MDBDataTable responsiveLg />
responsiveXl Boolean false Makes table scrollable horizontally on under 1200px wide screens. <MDBDataTable responsiveXl />
searching Boolean true Determines whether searching is enabled/disabled. <MDBDataTable searching={false} />
searchLabel String Search Change text of search label. <MDBDataTable searchLabel="Search" />
scrollX Boolean false Allows table to be scrolled horizontally. Combine this prop with column's 'width' for the best effects. <MDBDataTable scrollX />
scrollY Boolean false Allows table to be scrolled vertically if it's content is higher than 200px. Combine it with maxHeight to manipulate table's height. <MDBDataTable scrollY />
sortable Boolean true Determines whether sorting is enabled/disabled. <MDBDataTable sortable />
small Boolean false Cuts cell's padding by half. <MDBDataTable small />
striped Boolean false Adds zebra-striping to any table row. <MDBDataTable striped />
theadColor String Sets background color of table head. <MDBDataTable theadColor="indigo" />
theadTextWhite Boolean false Sets white color of table head's font. <MDBDataTable theadTextWhite />
tbodyColor String Sets background color of table body. <MDBDataTable theadColor="indigo" />
tbodyTextWhite Boolean false Sets white color of table body's font. <MDBDataTable theadTextWhite />

Angular Bootstrap table scroll - horizontal and vertical

Angular Bootstrap Table Scroll - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5. Go to docs v.5

For the tables with a huge amount of data you can use scroll functionality, as an alternative for the pagination.

Scrolling functionality works vertically (y-axis) and horizontally (x-axis).


Table vertical scroll

More scroll options for static tables you can find in the Table Responsive documentation.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
4 Mark Otto @mdo
5 Jacob Thornton @fat
6 Larry the Bird @twitter
        
            
          <table mdbTable mdbTableScroll scrollY="true" maxHeight="200" bordered="true">
            <thead>
              <tr>
                <th *ngFor="let head of headElements; let i = index" scope="col">{{head}}</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let el of elements; let i = index">
                <th scope="row">{{el.id}}</th>
                <td>{{el.first}}</td>
                <td>{{el.last}}</td>
                <td>{{el.handle}}</td>
              </tr>
            </tbody>
          </table>
        
        
    
        
            
          import { Component, OnInit } from '@angular/core';

          @Component({
            selector: 'table-scroll-y',
            templateUrl: './table-scroll-y.component.html',
            styleUrls: ['./table-scroll-y.component.scss']
          })
          export class TableScrollYComponent implements OnInit {
            elements: any = [];
            headElements = ['ID', 'First', 'Last', 'Handle'];

            ngOnInit() {
              for (let i = 1; i <= 15; i++) {
                this.elements.push({
                  id: i,
                  first: 'User ' + i,
                  last: 'Name ' + i,
                  handle: 'Handle ' + i
                });
              }
            }
          }
        
        
    

Table horizontal scroll

# Heading Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell Cell
        
            
          <table mdbTable mdbTableScroll scrollX="true" maxWidth="400">
            <thead>
              <tr>
                <th *ngFor="let head of headElements" scope="col">{{head}} </th>
              </tr>
            </thead>
            <tbody>
              <tr mdbTableCol *ngFor="let el of elements">
                <th scope="row">{{el.id}}</th>
                <td>{{el.heading1}}</td>
                <td>{{el.heading2}}</td>
                <td>{{el.heading3}}</td>
                <td>{{el.heading4}}</td>
                <td>{{el.heading5}}</td>
                <td>{{el.heading6}}</td>
                <td>{{el.heading7}}</td>
                <td>{{el.heading8}}</td>
                <td>{{el.heading9}}</td>
              </tr>
            </tbody>
          </table>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'table-scroll-x',
            templateUrl: './table-scroll-x.component.html',
            styleUrls: ['./table-scroll-x.component.scss']
          })
          export class TableScrollX  {

            elements: any = [
              {
                id: 1, heading1: 'Cell',
                heading2: 'Cell',
                heading3: 'Cell',
                heading4: 'Cell',
                heading5: 'Cell',
                heading6: 'Cell',
                heading7: 'Cell',
                heading8: 'Cell',
                heading9: 'Cell'
              },
              {
                id: 2, heading1: 'Cell',
                heading2: 'Cell',
                heading3: 'Cell',
                heading4: 'Cell',
                heading5: 'Cell',
                heading6: 'Cell',
                heading7: 'Cell',
                heading8: 'Cell',
                heading9: 'Cell'
              },
              {
                id: 3, heading1: 'Cell',
                heading2: 'Cell',
                heading3: 'Cell',
                heading4: 'Cell',
                heading5: 'Cell',
                heading6: 'Cell',
                heading7: 'Cell',
                heading8: 'Cell',
                heading9: 'Cell'
              },
            ];
            headElements = ['ID', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading'];
          }
        
        
    

Table vertical and horizontal scroll

# Heading Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell Cell
4 Cell Cell Cell Cell Cell Cell Cell Cell Cell
5 Cell Cell Cell Cell Cell Cell Cell Cell Cell
6 Cell Cell Cell Cell Cell Cell Cell Cell Cell
7 Cell Cell Cell Cell Cell Cell Cell Cell Cell
        
            
          <table mdbTable mdbTableScroll scrollY="true" maxHeight="200" scrollX="true" maxWidth="400">
            <thead>
              <tr>
                <th *ngFor="let head of headElements" scope="col">{{head}} </th>
              </tr>
            </thead>
            <tbody>
              <tr mdbTableCol *ngFor="let el of elements">
                <th scope="row">{{el.id}}</th>
                <td>{{el.heading1}}</td>
                <td>{{el.heading2}}</td>
                <td>{{el.heading3}}</td>
                <td>{{el.heading4}}</td>
                <td>{{el.heading5}}</td>
                <td>{{el.heading6}}</td>
                <td>{{el.heading7}}</td>
                <td>{{el.heading8}}</td>
                <td>{{el.heading9}}</td>
              </tr>
            </tbody>
          </table>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss']
          })
          export class AppComponent  {
          
            elements: any = [
              {
                id: 1, heading1: 'Cell',
                heading2: 'Cell',
                heading3: 'Cell',
                heading4: 'Cell',
                heading5: 'Cell',
                heading6: 'Cell',
                heading7: 'Cell',
                heading8: 'Cell',
                heading9: 'Cell'
              },
              {
                id: 2, heading1: 'Cell',
                heading2: 'Cell',
                heading3: 'Cell',
                heading4: 'Cell',
                heading5: 'Cell',
                heading6: 'Cell',
                heading7: 'Cell',
                heading8: 'Cell',
                heading9: 'Cell'
              },
              {
                id: 3, heading1: 'Cell',
                heading2: 'Cell',
                heading3: 'Cell',
                heading4: 'Cell',
                heading5: 'Cell',
                heading6: 'Cell',
                heading7: 'Cell',
                heading8: 'Cell',
                heading9: 'Cell'
              },
            ];
            headElements = ['ID', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading'];
          }
        
        
    

Advanced table options

For advanced options of the tables have a look at specific documentation pages listed below.

Table sort

This functionality lets you sort the table data according to any specific columns.

Table editable

Table editable allows you to edit existing data within the table and add new data to the table.

Angular Table Scroll - API

In this section you will find advanced information about the Table component. You will find out which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.

Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { WavesModule, TableModule } from 'ng-uikit-pro-standard';
        
        
    
        
            
          import { WavesModule, TableModule } from 'angular-bootstrap-md';
        
        
    

Directive

MdbTableScrollDirective

Selector: mdbTableScroll

Type: MdbTableScrollDirective


Inputs

Name Type Default Description Example
scrollY boolean false Allows you to scroll the array along the Y axis (the height one). It is also required to add the maxHeight input, which determines the maximum height of the table. scrollY="true"
maxHeight number null Sets the maximum height of the table, after which a scrollbar is added along the Y axis of the table. This input is required for table scrolling to work properly. maxHeight="200"
scrollX boolean false Allows you to scroll the array along the X axis (the width one). It is also required to add the maxWidth input, which determines the maximum width of the table. scrollX="true"
maxWidth number null Sets the maximum width of the table, after which a scrollbar is added along the X axis of the table. This input is required for table scrolling to work properly. maxWidth="200"

Vue Bootstrap Table Scroll

Vue Table Scroll - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

For vue tables with a huge amount of data you can use scroll functionality, as an alternative for the pagination.

Scrolling functionality works vertically (y-axis) and horizontally (x-axis).


Static table vertical scroll

More scroll options for static tables you can find in the Table Responsive documentation.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
4 Mark Otto @mdo
5 Jacob Thornton @fat
6 Larry the Bird @twitter
        
            
      <template>
        <mdb-scrollbar height="200px">
          <mdb-tbl bordered>
            <mdb-tbl-head color="light">
              <tr>
                <th scope="col">#</th>
                <th scope="col">First</th>
                <th scope="col">Last</th>
                <th scope="col">Handle</th>
              </tr>
            </mdb-tbl-head>
            <mdb-tbl-body>
              <tr>
                <th scope="row">1</th>
                <td>Mark</td>
                <td>Otto</td>
                <td>@mdo</td>
              </tr>
              <tr>
                <th scope="row">2</th>
                <td>Jacob</td>
                <td>Thornton</td>
                <td>@fat</td>
              </tr>
              <tr>
                <th scope="row">3</th>
                <td>Larry</td>
                <td>the Bird</td>
                <td>@twitter</td>
              </tr>
              <tr>
                <th scope="row">4</th>
                <td>Mark</td>
                <td>Otto</td>
                <td>@mdo</td>
              </tr>
              <tr>
                <th scope="row">5</th>
                <td>Jacob</td>
                <td>Thornton</td>
                <td>@fat</td>
              </tr>
              <tr>
                <th scope="row">6</th>
                <td>Larry</td>
                <td>the Bird</td>
                <td>@twitter</td>
              </tr>
            </mdb-tbl-body>
          </mdb-tbl>
        </mdb-scrollbar>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbTbl,
          mdbTblHead,
          mdbTblBody,
          mdbScrollbar
        } from 'mdbvue';
        export default {
          name: 'TableScrollPage',
          components: {
            mdbTbl,
            mdbTblHead,
            mdbTblBody,
            mdbScrollbar
          }
        }
      </script>
      
        
    

Datatable vertical scroll

Name Position Office Age Start date Salary
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060
Airi Satou Accountant Tokyo 33 2008/11/28 $162,700
Brielle Williamson Integration Specialist New York 61 2012/12/02 $372,000
Herrod Chandler Sales Assistant San Francisco 59 2012/08/06 $137,500
Rhona Davidson Integration Specialist Tokyo 55 2010/10/14 $327,900
Colleen Hurst Javascript Developer San Francisco 39 2009/09/15 $205,500
Name Position Office Age Start date Salary
        
            
      <template>
        <mdb-datatable :data="data" striped bordered fixed scrollY :maxHeight="200px" />
      </template>
      
        
    
        
            
      <script>
        import {
          mdbDatatable
        } from 'mdbvue';
        export default {
          name: 'TableScrollPage',
          components: {
            mdbDatatable
          },
          data() {
            return {
              data: {
                columns: [{
                    label: 'Name',
                    field: 'name',
                    sort: 'asc'
                  },
                  {
                    label: 'Position',
                    field: 'position',
                    sort: 'asc'
                  },
                  {
                    label: 'Office',
                    field: 'office',
                    sort: 'asc'
                  },
                  {
                    label: 'Age',
                    field: 'age',
                    sort: 'asc'
                  },
                  {
                    label: 'Start date',
                    field: 'date',
                    sort: 'asc'
                  },
                  {
                    label: 'Salary',
                    field: 'salary',
                    sort: 'asc'
                  }
                ],
                rows: [{
                    name: 'Tiger Nixon',
                    position: 'System Architect',
                    office: 'Edinburgh',
                    age: '61',
                    date: '2011/04/25',
                    salary: '$320'
                  },
                  {
                    name: 'Garrett Winters',
                    position: 'Accountant',
                    office: 'Tokyo',
                    age: '63',
                    date: '2011/07/25',
                    salary: '$170'
                  },
                  {
                    name: 'Ashton Cox',
                    position: 'Junior Technical Author',
                    office: 'San Francisco',
                    age: '66',
                    date: '2009/01/12',
                    salary: '$86'
                  },
                  {
                    name: 'Cedric Kelly',
                    position: 'Senior Javascript Developer',
                    office: 'Edinburgh',
                    age: '22',
                    date: '2012/03/29',
                    salary: '$433'
                  },
                  {
                    name: 'Airi Satou',
                    position: 'Accountant',
                    office: 'Tokyo',
                    age: '33',
                    date: '2008/11/28',
                    salary: '$162'
                  },
                  {
                    name: 'Brielle Williamson',
                    position: 'Integration Specialist',
                    office: 'New York',
                    age: '61',
                    date: '2012/12/02',
                    salary: '$372'
                  },
                  {
                    name: 'Herrod Chandler',
                    position: 'Sales Assistant',
                    office: 'San Francisco',
                    age: '59',
                    date: '2012/08/06',
                    salary: '$137'
                  },
                  {
                    name: 'Rhona Davidson',
                    position: 'Integration Specialist',
                    office: 'Tokyo',
                    age: '55',
                    date: '2010/10/14',
                    salary: '$327'
                  },
                  {
                    name: 'Colleen Hurst',
                    position: 'Javascript Developer',
                    office: 'San Francisco',
                    age: '39',
                    date: '2009/09/15',
                    salary: '$205'
                  }
                ]
              }
            };
          }
        }
      </script>
      
        
    

To enable y-scrolling simply set the scrollY property to the mdb-datatable component.

maxHeight property lets you set your desirable table height.


Datatable vertical dynamic height

This example shows a vertically scrolling DataTable that makes use of the CSS3 vh unit in order to dynamically resize the viewport based on the browser window height. The vh unit is effectively a percentage of the browser window height. So the 20vh used in this example is 20% of the window height. The viewport size will update dynamically as the window is resized.

Name Position Office Age Start date Salary
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060
Airi Satou Accountant Tokyo 33 2008/11/28 $162,700
Brielle Williamson Integration Specialist New York 61 2012/12/02 $372,000
Herrod Chandler Sales Assistant San Francisco 59 2012/08/06 $137,500
Rhona Davidson Integration Specialist Tokyo 55 2010/10/14 $327,900
Name Position Office Age Start date Salary
        
            
      <template>
        <mdb-datatable :data="data" striped bordered fixed scrollY :maxHeight="20vh" />
      </template>
      
        
    
        
            
      <script>
        import {
          mdbDatatable
        } from 'mdbvue';
        export default {
          name: 'TableScrollPage',
          components: {
            mdbDatatable
          },
          data() {
            return {
              data: {
                columns: [{
                    label: 'Name',
                    field: 'name',
                    sort: 'asc'
                  },
                  {
                    label: 'Position',
                    field: 'position',
                    sort: 'asc'
                  },
                  {
                    label: 'Office',
                    field: 'office',
                    sort: 'asc'
                  },
                  {
                    label: 'Age',
                    field: 'age',
                    sort: 'asc'
                  },
                  {
                    label: 'Start date',
                    field: 'date',
                    sort: 'asc'
                  },
                  {
                    label: 'Salary',
                    field: 'salary',
                    sort: 'asc'
                  }
                ],
                rows: [{
                    name: 'Tiger Nixon',
                    position: 'System Architect',
                    office: 'Edinburgh',
                    age: '61',
                    date: '2011/04/25',
                    salary: '$320'
                  },
                  {
                    name: 'Garrett Winters',
                    position: 'Accountant',
                    office: 'Tokyo',
                    age: '63',
                    date: '2011/07/25',
                    salary: '$170'
                  },
                  {
                    name: 'Ashton Cox',
                    position: 'Junior Technical Author',
                    office: 'San Francisco',
                    age: '66',
                    date: '2009/01/12',
                    salary: '$86'
                  },
                  {
                    name: 'Cedric Kelly',
                    position: 'Senior Javascript Developer',
                    office: 'Edinburgh',
                    age: '22',
                    date: '2012/03/29',
                    salary: '$433'
                  },
                  {
                    name: 'Airi Satou',
                    position: 'Accountant',
                    office: 'Tokyo',
                    age: '33',
                    date: '2008/11/28',
                    salary: '$162'
                  },
                  {
                    name: 'Brielle Williamson',
                    position: 'Integration Specialist',
                    office: 'New York',
                    age: '61',
                    date: '2012/12/02',
                    salary: '$372'
                  },
                  {
                    name: 'Herrod Chandler',
                    position: 'Sales Assistant',
                    office: 'San Francisco',
                    age: '59',
                    date: '2012/08/06',
                    salary: '$137'
                  },
                  {
                    name: 'Rhona Davidson',
                    position: 'Integration Specialist',
                    office: 'Tokyo',
                    age: '55',
                    date: '2010/10/14',
                    salary: '$327'
                  }
                ]
              }
            };
          }
        }
      </script>
      
        
    

Datatable horizontal scroll

First name Last name Position Office Age Start date Salary Extn. E-mail
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800 5421 t.nixon@datatables.net
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750 8422 g.winters@datatables.net
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000 1562 a.cox@datatables.net
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060 6224 c.kelly@datatables.net
        
            
      <template>
        <mdb-datatable :data="data" striped bordered fixed responsive :maxWidth="700px" />
      </template>
      
        
    
        
            
      <script>
        import {
          mdbDatatable
        } from 'mdbvue';
        export default {
          name: 'TableScrollPage',
          components: {
            mdbDatatable
          },
          data() {
            return {
              data: {
                columns: [{
                    label: 'Name',
                    field: 'name',
                    sort: 'asc'
                  },
                  {
                    label: 'Position',
                    field: 'position',
                    sort: 'asc'
                  },
                  {
                    label: 'Office',
                    field: 'office',
                    sort: 'asc'
                  },
                  {
                    label: 'Age',
                    field: 'age',
                    sort: 'asc'
                  },
                  {
                    label: 'Start date',
                    field: 'date',
                    sort: 'asc'
                  },
                  {
                    label: 'Salary',
                    field: 'salary',
                    sort: 'asc'
                  }
                ],
                rows: [{
                    name: 'Tiger',
                    surname: 'Nixon',
                    position: 'System Architect',
                    office: 'Edinburgh',
                    age: '61',
                    date: '2011/04/25',
                    salary: '$320,800',
                    extn: 5421,
                    email: 't.nixon@datatables.net'
                  },
                  {
                    name: 'Garrett',
                    surname: 'Winters',
                    position: 'Accountant',
                    office: 'Tokyo',
                    age: '63',
                    date: '2011/07/25',
                    salary: '$170,750',
                    extn: 8422,
                    email: 'q.winters@datatables.net'
                  },
                  {
                    name: 'Ashton',
                    surname: 'Cox',
                    position: 'Junior Technical Author',
                    office: 'San Francisco',
                    age: '66',
                    date: '2009/01/12',
                    salary: '$86,000',
                    extn: 1562,
                    email: 'a.cox@datatables.net'
                  },
                  {
                    name: 'Cedric',
                    surname: 'Kelly',
                    position: 'Senior Javascript Developer',
                    office: 'Edinburgh',
                    age: '22',
                    date: '2012/03/29',
                    salary: '$433,060',
                    extn: 6224,
                    email: 'c.kelly@datatables.net'
                  }
                ]
              }
            };
          }
        }
      </script>
      
        
    

DataTables has the ability to show tables with horizontal scrolling, which is very useful for when you have a wide table, but want to constrain it to a limited horizontal display area. To enable x-scrolling simply set the props responsive and maxWidth to be whatever you want the container wrapper's width to be (this should be 100% in almost all cases with the width being constrained by the container element).


Datatable horizontal and vertical scroll

First name Last name Position Office Age Start date Salary Extn. E-mail
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800 5421 t.nixon@datatables.net
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750 8422 g.winters@datatables.net
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000 1562 a.cox@datatables.net
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060 6224 c.kelly@datatables.net
Airi Satou Accountant Tokyo 33 2008/11/28 $162,700 5407 a.satou@datatables.net
Brielle Williamson Integration Specialist New York 61 2012/12/02 $372,000 4804 b.williamson@datatables.net
        
            
      <template>
        <mdb-datatable :data="data" striped bordered fixed responsive scrollY :maxWidth="700px" />
      </template>
      
        
    
        
            
      <script>
        import {
          mdbDatatable
        } from 'mdbvue';
        export default {
          name: 'TableScrollPage',
          components: {
            mdbDatatable
          },
          data() {
            return {
              data: {
                columns: [{
                    label: 'Name',
                    field: 'name',
                    sort: 'asc'
                  },
                  {
                    label: 'Position',
                    field: 'position',
                    sort: 'asc'
                  },
                  {
                    label: 'Office',
                    field: 'office',
                    sort: 'asc'
                  },
                  {
                    label: 'Age',
                    field: 'age',
                    sort: 'asc'
                  },
                  {
                    label: 'Start date',
                    field: 'date',
                    sort: 'asc'
                  },
                  {
                    label: 'Salary',
                    field: 'salary',
                    sort: 'asc'
                  }
                ],
                rows: [{
                    name: 'Tiger',
                    surname: 'Nixon',
                    position: 'System Architect',
                    office: 'Edinburgh',
                    age: '61',
                    date: '2011/04/25',
                    salary: '$320,800',
                    extn: 5421,
                    email: 't.nixon@datatables.net'
                  },
                  {
                    name: 'Garrett',
                    surname: 'Winters',
                    position: 'Accountant',
                    office: 'Tokyo',
                    age: '63',
                    date: '2011/07/25',
                    salary: '$170,750',
                    extn: 8422,
                    email: 'q.winters@datatables.net'
                  },
                  {
                    name: 'Ashton',
                    surname: 'Cox',
                    position: 'Junior Technical Author',
                    office: 'San Francisco',
                    age: '66',
                    date: '2009/01/12',
                    salary: '$86,000',
                    extn: 1562,
                    email: 'a.cox@datatables.net'
                  },
                  {
                    name: 'Cedric',
                    surname: 'Kelly',
                    position: 'Senior Javascript Developer',
                    office: 'Edinburgh',
                    age: '22',
                    date: '2012/03/29',
                    salary: '$433,060',
                    extn: 6224,
                    email: 'c.kelly@datatables.net'
                  },
                  {
                    name: 'Airi',
                    surname: 'Satou',
                    position: 'Accountant',
                    office: 'Tokyo',
                    age: '33',
                    date: '2008/11/28',
                    salary: '$162,700',
                    extn: 5407,
                    email: 'a.satou@datatables.net'
                  },
                  {
                    name: 'Brielle',
                    surname: 'Williamson',
                    position: 'Integration Specialist',
                    office: 'New York',
                    age: '61',
                    date: '2012/12/02',
                    salary: '$372,000',
                    extn: 4804,
                    email: 'b.williamson@datatables.net'
                  },
                ]
              }
            };
          }
        }
      </script>
      
        
    

In this example you can see DataTables doing both horizontal and vertical scrolling at the same time. Note also that pagination is enabled in this example, and the scrolling accounts for this.


Advanced table options

For advanced options of the tables have a look at specific documentation pages listed below.

Table sort

This functionality lets you sort the data of the tables according to any specific columns.

Table scroll

If your table is too long or too wide you can limit its size and enable scroll functionality.

Table editable

Table editable allows you to edit existing data within the table and add new data to the table.

Vue Bootstrap Datatables - API

This section present detailed information about Datatables usage, properties and customization. Dive into API references to find see all available props and methods.


Imports

To start working with Datatables you need just one component.
mdbDatatable contains huge amount of options and custom styles (corresponding to static tables).

        
            
    <script>
      import {
        mdbDatatable
      } from 'mdbvue';
    </script>
    
        
    

Usage

There are two ways to bind your data into Datatable
You can build an object of structured data, or bind the link to external API (Json from API must have the same structure as object described below).

        
            
    <template>
      <mdb-datatable :data="data" striped bordered />
    </template>
    <script>
      import {
        mdbDatatable
      } from 'mdbvue';
      export default {
        name: 'DatatablePage',
        components: {
          mdbDatatable
        },
        data() {
          return {
            data: {
              columns: [{
                  label: 'Name',
                  field: 'name',
                  sort: 'asc'
                },
                {
                  label: 'Position',
                  field: 'position',
                  sort: 'asc'
                },
                {
                  label: 'Office',
                  field: 'office',
                  sort: 'asc'
                },
                {
                  label: 'Age',
                  field: 'age',
                  sort: 'asc'
                },
                {
                  label: 'Start date',
                  field: 'date',
                  sort: 'asc'
                },
                {
                  label: 'Salary',
                  field: 'salary',
                  sort: 'asc'
                }
              ],
              rows: [{
                  name: 'Tiger Nixon',
                  position: 'System Architect',
                  office: 'Edinburgh',
                  age: '61',
                  date: '2011/04/25',
                  salary: '$320'
                },
                {
                  name: 'Garrett Winters',
                  position: 'Accountant',
                  office: 'Tokyo',
                  age: '63',
                  date: '2011/07/25',
                  salary: '$170'
                },
                {
                  name: 'Ashton Cox',
                  position: 'Junior Technical Author',
                  office: 'San Francisco',
                  age: '66',
                  date: '2009/01/12',
                  salary: '$86'
                },
                {
                  name: 'Cedric Kelly',
                  position: 'Senior Javascript Developer',
                  office: 'Edinburgh',
                  age: '22',
                  date: '2012/03/29',
                  salary: '$433'
                },
                {
                  name: 'Airi Satou',
                  position: 'Accountant',
                  office: 'Tokyo',
                  age: '33',
                  date: '2008/11/28',
                  salary: '$162'
                },
                {
                  name: 'Brielle Williamson',
                  position: 'Integration Specialist',
                  office: 'New York',
                  age: '61',
                  date: '2012/12/02',
                  salary: '$372'
                },
                {
                  name: 'Herrod Chandler',
                  position: 'Sales Assistant',
                  office: 'San Francisco',
                  age: '59',
                  date: '2012/08/06',
                  salary: '$137'
                },
                {
                  name: 'Rhona Davidson',
                  position: 'Integration Specialist',
                  office: 'Tokyo',
                  age: '55',
                  date: '2010/10/14',
                  salary: '$327'
                },
                {
                  name: 'Colleen Hurst',
                  position: 'Javascript Developer',
                  office: 'San Francisco',
                  age: '39',
                  date: '2009/09/15',
                  salary: '$205'
                },
                {
                  name: 'Sonya Frost',
                  position: 'Software Engineer',
                  office: 'Edinburgh',
                  age: '23',
                  date: '2008/12/13',
                  salary: '$103'
                },
                {
                  name: 'Jena Gaines',
                  position: 'Office Manager',
                  office: 'London',
                  age: '30',
                  date: '2008/12/19',
                  salary: '$90'
                },
                {
                  name: 'Quinn Flynn',
                  position: 'Support Lead',
                  office: 'Edinburgh',
                  age: '22',
                  date: '2013/03/03',
                  salary: '$342'
                },
                {
                  name: 'Charde Marshall',
                  position: 'Regional Director',
                  office: 'San Francisco',
                  age: '36',
                  date: '2008/10/16',
                  salary: '$470'
                },
                {
                  name: 'Haley Kennedy',
                  position: 'Senior Marketing Designer',
                  office: 'London',
                  age: '43',
                  date: '2012/12/18',
                  salary: '$313'
                },
                {
                  name: 'Tatyana Fitzpatrick',
                  position: 'Regional Director',
                  office: 'London',
                  age: '19',
                  date: '2010/03/17',
                  salary: '$385'
                },
                {
                  name: 'Michael Silva',
                  position: 'Marketing Designer',
                  office: 'London',
                  age: '66',
                  date: '2012/11/27',
                  salary: '$198'
                },
                {
                  name: 'Paul Byrd',
                  position: 'Chief Financial Officer (CFO)',
                  office: 'New York',
                  age: '64',
                  date: '2010/06/09',
                  salary: '$725'
                },
                {
                  name: 'Gloria Little',
                  position: 'Systems Administrator',
                  office: 'New York',
                  age: '59',
                  date: '2009/04/10',
                  salary: '$237'
                },
                {
                  name: 'Bradley Greer',
                  position: 'Software Engineer',
                  office: 'London',
                  age: '41',
                  date: '2012/10/13',
                  salary: '$132'
                },
                {
                  name: 'Dai Rios',
                  position: 'Personnel Lead',
                  office: 'Edinburgh',
                  age: '35',
                  date: '2012/09/26',
                  salary: '$217'
                },
                {
                  name: 'Jenette Caldwell',
                  position: 'Development Lead',
                  office: 'New York',
                  age: '30',
                  date: '2011/09/03',
                  salary: '$345'
                },
                {
                  name: 'Yuri Berry',
                  position: 'Chief Marketing Officer (CMO)',
                  office: 'New York',
                  age: '40',
                  date: '2009/06/25',
                  salary: '$675'
                },
                {
                  name: 'Caesar Vance',
                  position: 'Pre-Sales Support',
                  office: 'New York',
                  age: '21',
                  date: '2011/12/12',
                  salary: '$106'
                },
                {
                  name: 'Doris Wilder',
                  position: 'Sales Assistant',
                  office: 'Sidney',
                  age: '23',
                  date: '2010/09/20',
                  salary: '$85'
                },
                {
                  name: 'Angelica Ramos',
                  position: 'Chief Executive Officer (CEO)',
                  office: 'London',
                  age: '47',
                  date: '2009/10/09',
                  salary: '$1'
                },
                {
                  name: 'Gavin Joyce',
                  position: 'Developer',
                  office: 'Edinburgh',
                  age: '42',
                  date: '2010/12/22',
                  salary: '$92'
                },
                {
                  name: 'Jennifer Chang',
                  position: 'Regional Director',
                  office: 'Singapore',
                  age: '28',
                  date: '2010/11/14',
                  salary: '$357'
                },
                {
                  name: 'Brenden Wagner',
                  position: 'Software Engineer',
                  office: 'San Francisco',
                  age: '28',
                  date: '2011/06/07',
                  salary: '$206'
                },
                {
                  name: 'Fiona Green',
                  position: 'Chief Operating Officer (COO)',
                  office: 'San Francisco',
                  age: '48',
                  date: '2010/03/11',
                  salary: '$850'
                },
                {
                  name: 'Shou Itou',
                  position: 'Regional Marketing',
                  office: 'Tokyo',
                  age: '20',
                  date: '2011/08/14',
                  salary: '$163'
                },
                {
                  name: 'Michelle House',
                  position: 'Integration Specialist',
                  office: 'Sidney',
                  age: '37',
                  date: '2011/06/02',
                  salary: '$95'
                },
                {
                  name: 'Suki Burks',
                  position: 'Developer',
                  office: 'London',
                  age: '53',
                  date: '2009/10/22',
                  salary: '$114'
                },
                {
                  name: 'Prescott Bartlett',
                  position: 'Technical Author',
                  office: 'London',
                  age: '27',
                  date: '2011/05/07',
                  salary: '$145'
                },
                {
                  name: 'Gavin Cortez',
                  position: 'Team Leader',
                  office: 'San Francisco',
                  age: '22',
                  date: '2008/10/26',
                  salary: '$235'
                },
                {
                  name: 'Martena Mccray',
                  position: 'Post-Sales support',
                  office: 'Edinburgh',
                  age: '46',
                  date: '2011/03/09',
                  salary: '$324'
                },
                {
                  name: 'Unity Butler',
                  position: 'Marketing Designer',
                  office: 'San Francisco',
                  age: '47',
                  date: '2009/12/09',
                  salary: '$85'
                },
                {
                  name: 'Howard Hatfield',
                  position: 'Office Manager',
                  office: 'San Francisco',
                  age: '51',
                  date: '2008/12/16',
                  salary: '$164'
                },
                {
                  name: 'Hope Fuentes',
                  position: 'Secretary',
                  office: 'San Francisco',
                  age: '41',
                  date: '2010/02/12',
                  salary: '$109'
                },
                {
                  name: 'Vivian Harrell',
                  position: 'Financial Controller',
                  office: 'San Francisco',
                  age: '62',
                  date: '2009/02/14',
                  salary: '$452'
                },
                {
                  name: 'Timothy Mooney',
                  position: 'Office Manager',
                  office: 'London',
                  age: '37',
                  date: '2008/12/11',
                  salary: '$136'
                },
                {
                  name: 'Jackson Bradshaw',
                  position: 'Director',
                  office: 'New York',
                  age: '65',
                  date: '2008/09/26',
                  salary: '$645'
                },
                {
                  name: 'Olivia Liang',
                  position: 'Support Engineer',
                  office: 'Singapore',
                  age: '64',
                  date: '2011/02/03',
                  salary: '$234'
                },
                {
                  name: 'Bruno Nash',
                  position: 'Software Engineer',
                  office: 'London',
                  age: '38',
                  date: '2011/05/03',
                  salary: '$163'
                },
                {
                  name: 'Sakura Yamamoto',
                  position: 'Support Engineer',
                  office: 'Tokyo',
                  age: '37',
                  date: '2009/08/19',
                  salary: '$139'
                },
                {
                  name: 'Thor Walton',
                  position: 'Developer',
                  office: 'New York',
                  age: '61',
                  date: '2013/08/11',
                  salary: '$98'
                },
                {
                  name: 'Finn Camacho',
                  position: 'Support Engineer',
                  office: 'San Francisco',
                  age: '47',
                  date: '2009/07/07',
                  salary: '$87'
                },
                {
                  name: 'Serge Baldwin',
                  position: 'Data Coordinator',
                  office: 'Singapore',
                  age: '64',
                  date: '2012/04/09',
                  salary: '$138'
                },
                {
                  name: 'Zenaida Frank',
                  position: 'Software Engineer',
                  office: 'New York',
                  age: '63',
                  date: '2010/01/04',
                  salary: '$125'
                },
                {
                  name: 'Zorita Serrano',
                  position: 'Software Engineer',
                  office: 'San Francisco',
                  age: '56',
                  date: '2012/06/01',
                  salary: '$115'
                },
                {
                  name: 'Jennifer Acosta',
                  position: 'Junior Javascript Developer',
                  office: 'Edinburgh',
                  age: '43',
                  date: '2013/02/01',
                  salary: '$75'
                },
                {
                  name: 'Cara Stevens',
                  position: 'Sales Assistant',
                  office: 'New York',
                  age: '46',
                  date: '2011/12/06',
                  salary: '$145'
                },
                {
                  name: 'Hermione Butler',
                  position: 'Regional Director',
                  office: 'London',
                  age: '47',
                  date: '2011/03/21',
                  salary: '$356'
                },
                {
                  name: 'Lael Greer',
                  position: 'Systems Administrator',
                  office: 'London',
                  age: '21',
                  date: '2009/02/27',
                  salary: '$103'
                },
                {
                  name: 'Jonas Alexander',
                  position: 'Developer',
                  office: 'San Francisco',
                  age: '30',
                  date: '2010/07/14',
                  salary: '$86'
                },
                {
                  name: 'Shad Decker',
                  position: 'Regional Director',
                  office: 'Edinburgh',
                  age: '51',
                  date: '2008/11/13',
                  salary: '$183'
                },
                {
                  name: 'Michael Bruce',
                  position: 'Javascript Developer',
                  office: 'Singapore',
                  age: '29',
                  date: '2011/06/27',
                  salary: '$183'
                },
                {
                  name: 'Donna Snider',
                  position: 'Customer Support',
                  office: 'New York',
                  age: '27',
                  date: '2011/01/25',
                  salary: '$112'
                }
              ]
            }
          }
        }
      };
    </script>
    <style>
    </style>
    
        
    
        
            
    <template>
      <mdb-datatable data="https://YOUR_API_URL" striped bordered />
    </template>
    <script>
      import {
        mdbDatatable
      } from 'mdbvue';
      export default {
        name: 'DatatablePage',
        components: {
          mdbDatatable
        }
      };
    </script>
    
        
    
        
            
      data = {
        columns: [{
          label: String(displayed column label),
          field: String(corresponding key for cells),
          sort: String(Optional, 'asc' / 'desc', describes the initial sorting direcotry),
          format: Function(optional, formats the displayed data)
        }],
        rows: [
          {
            field: String(corresponds column 's field, contains cell data),
            field: String,
            field: String,
            ...
          }
        ]
      }
    
        
    

API Reference

All properties and options refered to mdb-datatable component.

Name Type Default Description Example
sorting Boolean true Determines whether sorting is enabled/disabled. <mdb-datatable striped>
order String[] Sets initial order. Accepts array of strings, index 0: table field by which you want to sort, index 1: sorting direction ('desc'/'asc'). <mdb-datatable order="['age', 'desc']">
searching Boolean true Determines whether searching is enabled/disabled. <mdb-datatable searching="false">
pagination Boolean true Determines whether pagination is enabled/disabled. <mdb-datatable pagination="false">
scrollY Boolean false Allows table to be scrolled vertically if it's content is higher than 200px. Combine it with maxHeight to manipulate table's height. <mdb-datatable scrollY>
maxHeight String 200px Sets table's maxHeight. You can use px, vh or whatever fits to your needs. <mdb-datatable maxHeight="400px">
striped Boolean false Adds zebra-striping to any table row. <mdb-datatable striped>
bordered Boolean false Adds border on all table's and cell's sides. <mdb-datatable bordered>
borderless Boolean false Disables border on all table's and cell's sides. <mdb-datatable borderless>
hover Boolean false Adds hover state on table rows (rows are marked on light-grey color). <mdb-datatable hover>
small Boolean false Cuts cell's padding by half. <mdb-datatable small>
reponsive Boolean false Makes table scrollable horizontally when screen width is smaller than table content (under 768px).
It make use of overflow-y: hidden which clips off content that goes beyon the bottom or top edge of the table.
<mdb-datatable responsive>
reponsiveSm Boolean false Makes table scrollable horizontally on under 576px wide screens. <mdb-datatable responsiveSm>
reponsiveMd Boolean false Makes table scrollable horizontally on under 768px wide screens. <mdb-datatable responsiveMd>
reponsiveLg Boolean false Makes table scrollable horizontally on under 992px wide screens. <mdb-datatable responsiveLg>
reponsiveXl Boolean false Makes table scrollable horizontally on under 1200px wide screens. <mdb-datatable responsiveXl>
autoWidth Boolean false Automatically adjust columns width to the content. <mdb-datatable autoWidth>
fixed Boolean false Sets fixed columns width. <mdb-datatable fixed>